<div id="page-wrap">
    <div id="header">
        <h1><a href="">Todo App in Angular</a></h1>
    </div>

    <form id="add-new">
        <input type="text" placeholder="Enter Your Todos" id="new-list-item-text" name="new-list-item-text" #title />
        <input type="submit" id="add-new-submit" value="Add" class="button" (click)="addTodo(title.value, 1)" />
    </form>
    <br />
    <ul id="list" class="ui-sortable" cdkDropList (cdkDropListDropped)="drop($event)">
        <li class="colorBlue" rel="1" id="2" cdkDrag *ngFor="let todo of todos">
            <span id="2listitem" title="Double-click to edit..." (dblclick)="onDblClick(todo)"
                [ngClass]="{'hide': todo.editable}" [style.background-color]="todo.color"
                [style.text-decoration]="todo.status">
                {{todo.title}}
            </span>
            <span id="2listitem" [ngClass]="{'hide': !todo.editable}" [style.background-color]="todo.color">
                <form class="updateShow">
                    <input type="text" value={{todo.title}} class="updateInput" #updatedValue>
                    <input type="submit" value="Update" class="updateBtn"
                        (click)="updateTodo(todo._id, updatedValue.value, todo.color, todo.position, todo.status)">
                </form>
            </span>
            <div class="draggertab tab" cdkDragHandle></div>
            <div class="colortab tab" [(colorPicker)]="todo.color"
                (colorPickerClose)="updateTodo(todo._id, todo.title, todo.color, todo.position, todo.status)">
            </div>
            <div (click)="deleteTodo(todo._id)" class="deletetab tab">
            </div>

            <div class="donetab tab"
                (click)="updateTodo(todo._id, todo.title, todo.color, todo.position, 'line-through')"></div>
        </li>
    </ul>

</div>